# Class Controller

#### Hierarchy

- Controller

- Defined in src/editing/createregularpolygonfromclickComponent.js:102

#####
Index

### Properties

active
angle
features
interactionListenerKey_
interaction_
map
radius
sides

### Methods

$onInit
handleDestroy_
handleDrawEnd_

## Properties

### active

active: boolean

- Defined in src/editing/createregularpolygonfromclickComponent.js:108

### angle

angle: number

- Defined in src/editing/createregularpolygonfromclickComponent.js:123

### features

features: Collection<Feature<Geometry>>

- Defined in src/editing/createregularpolygonfromclickComponent.js:128

### interactionListenerKey_

interactionListenerKey_: EventsKey

- Defined in src/editing/createregularpolygonfromclickComponent.js:155
- Defined in src/editing/createregularpolygonfromclickComponent.js:177

### interaction_

interaction_: default

- Defined in src/editing/createregularpolygonfromclickComponent.js:150
- Defined in src/editing/createregularpolygonfromclickComponent.js:174

### map

map: Map

- Defined in src/editing/createregularpolygonfromclickComponent.js:133

### radius

radius: number

- Defined in src/editing/createregularpolygonfromclickComponent.js:138

### sides

sides: number

- Defined in src/editing/createregularpolygonfromclickComponent.js:143

## Methods

### $onInit

- $onInit(): void

- Initialize the directive.

  #### Returns void

  - Defined in src/editing/createregularpolygonfromclickComponent.js:163

### handleDestroy_

- handleDestroy_(): void

- Cleanup event listeners and remove the interaction from the map.

  #### Returns void

  - Defined in src/editing/createregularpolygonfromclickComponent.js:204

### handleDrawEnd_

- handleDrawEnd_(evt: default<DrawEvent>): void

- Called when a feature is finished being drawn. Add the feature to the collection.

  #### Parameters

  - ##### evt: default<DrawEvent>

    Event.

  #### Returns void

  - Defined in src/editing/createregularpolygonfromclickComponent.js:193

Generated using TypeDoc